Bug 216408 - Daily logwatch fails to send report via mail.
Summary: Daily logwatch fails to send report via mail.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-20 10:11 UTC by QingLong
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 11:27:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description QingLong 2006-11-20 10:11:50 UTC
Description of problem:
Daily logwatch fails to send report via mail.
Instead it sends just a ``failure'' note.

Version-Release number of selected component (if applicable):
2.3.3-2

How reproducible:
100%

Steps to Reproduce:
1. Replace sendmail MTA by postfix.
2. Enable daily logwatch.
3. Wait for logwatch event.
  
Actual results:
logwatch fails to send mail report, instead the mail received contains:
      /etc/cron.daily/0logwatch:
      postdrop: warning: uid=0: Illegal seek
      sendmail: fatal: root(0): queue file write error

Expected results:
Should receive normal mail about log events (if any).

Additional info:
Correspondent maillog lines:
Nov 20 01:12:34 mx postfix/postdrop[20413]: warning: uid=0: Illegal seek
Nov 20 04:12:34 mx postfix/sendmail[20412]: fatal: root(0): queue file write error

There are no this failure related events in audit.log,
so I do not think this is a selinux issue.

Sending test mail as root from shell:
   echo -e 'From: Me\nTo: Me\nSubject: Test\n\nTest!' | sendmail 'root'
succeeds without a problem.

Comment 1 Thomas Woerner 2007-09-24 16:20:34 UTC
Can you please attach your postfix configuration?

Comment 2 QingLong 2007-09-27 10:32:19 UTC
Would you please let me not reveal that host's postfix configuration?
I tend to consider it as security sensitive information.
OTOH, I believe the problem metter is not postfix configuration
as it does work if I send those mails from interactive shell as root.

Comment 3 Thomas Woerner 2007-10-04 12:50:36 UTC
What happens, when you are calling /etc/cron.daily/0logwatch as root from a shell?
 Do you get errors or warnings in /var/log/messages which could be related to
this problem? 

Comment 4 Thomas Woerner 2007-11-22 11:27:24 UTC
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".



Note You need to log in before you can comment on or make changes to this bug.